Package org.eclipse.debug.core

# Interface ILaunchDelegate

public interface ILaunchDelegate
A proxy to an `ILaunchConfigurationDelegate`. Represents a launch delegate contributed to the `org.eclipse.debug.core.launchDelegates` extension point.

Since:
  3.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`String`
`getContributorName()`
Returns the name of the plug-in that contributed this delegate.
`ILaunchConfigurationDelegate`
`getDelegate()`
Returns the underlying launch configuration.
`String`
`getDescription()`
Returns a description of this launch delegate, or `null` if none.
`String`
`getId()`
Returns this delegate's unique identifier.
`List<Set<String>>`
`getModes()`
Returns the complete set of launch modes supported by this delegate as a list of sets.
`String`
`getName()`
Returns a human readable name for this launch delegate or `null` if none.
`String`
`getPerspectiveId(Set<String> modes)`
Returns the specified perspective id for the given mode set, or null if one is not provided
`String`
`getPluginIdentifier()`
Returns the id of the plug-in that contributed this launch delegate.

## Method Details

### getId

String getId()
Returns this delegate's unique identifier.

Returns:
  launch delegate identifier

### getName

String getName()
Returns a human readable name for this launch delegate or `null` if none.

Returns:
  name or `null`

### getDescription

String getDescription()
Returns a description of this launch delegate, or `null` if none.

Returns:
  description or `null`

### getContributorName

String getContributorName()
Returns the name of the plug-in that contributed this delegate.

Returns:
  contributor name

### getDelegate

ILaunchConfigurationDelegate getDelegate() throws CoreException
Returns the underlying launch configuration. Causes the delegate to be instantiated.

Returns:
  launch configuration delegate
Throws:
  `CoreException` - if unable to instantiate the delegate

### getModes

List<Set<String>> getModes()
Returns the complete set of launch modes supported by this delegate as a list of sets. Each set contains one of more launch mode identifiers. When a set contains more than one launch mode, it indicates that a mixed launch mode is supported. If no modes are available an empty list is returned.

Returns:
  the complete set of launch modes this delegate supports

### getPluginIdentifier

String getPluginIdentifier()
Returns the id of the plug-in that contributed this launch delegate.

Returns:
  the id of the plug-in that contributed this launch delegate

### getPerspectiveId

String getPerspectiveId(Set<String> modes)
Returns the specified perspective id for the given mode set, or null if one is not provided

Parameters:
  `modes` - the set of modes to get the perspective id
Returns:
  the perspective id associated with the given mode set, or `null` if none provided